Update application instructions
Reviews and activates a new application-instruction version using optimistic concurrency.
PUT
/v1/minds/{mind_id}/application-promptAuthorization
bearerAuth AuthorizationBearer <token>
A project-scoped API key. Store it only on a trusted backend.
In: header
Path Parameters
mind_id*string
Public mind ID.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/minds/mind_example/application-prompt" \ -H "Content-Type: application/json" \ -d '{ "prompt": "Give concise, evidence-based product guidance.", "expectedVersion": 0 }'{ "mind_id": "mind_example", "prompt_version": 1}{ "type": "error", "error": { "type": "string", "message": "string" }, "request_id": "string"}{ "type": "error", "error": { "type": "string", "message": "string" }, "request_id": "string"}{ "type": "error", "error": { "type": "string", "message": "string" }, "request_id": "string"}{ "type": "error", "error": { "type": "string", "message": "string" }, "request_id": "string"}{ "type": "error", "error": { "type": "application_prompt_rejected", "message": "string" }, "review": { "approved": false, "riskLevel": "low", "summary": "string", "findings": [ { "severity": "warning", "message": "string" } ], "reviewedAt": "2019-08-24T14:15:22Z" }}{ "type": "error", "error": { "type": "string", "message": "string" }, "request_id": "string"}